Bug 49184

Informational

GemStone/S 64 Bit

3.6.2, 3.6.1, 3.6

CodeLibrarianUser and CodeLibrarianUserObjectSecurityPolicy in upgraded repositories

CodeLibrarianUser and CodeLibrarianUserObjectSecurityPolicy were added in v3.5 to support the initial limited support for tonel-format source code and X509-secured GemStone. Further changes to GemStone's code management in 3.6 made this user obsolete.

Applications that were running in v3.5, or that upgraded to 3.5.x as part of an upgrade from an earlier version before another upgrade to v3.6.x, will have had this user and security policy created during upgrade.

In v3.6.x, CodeLibrarianUser will be present in the DeletedUsers colllection, and may be manually deleted.  Globals does not contain a link to CodeLibrarianUserObjectSecurityPolicy, but the object security policy is present in SystemRepository.


Last updated: 10/15/21